Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.section.model
Interface VSection

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainer, VElement

All Known Implementing Classes:
  VSectionImpl

    public interface VSection

extends VContainer

A representation of the model object 'Section'.

The following features are supported:

- `Child Items`
- `Collapsed`

See Also:
  `VSectionPackage.getSection()`

Method Summary
`org.eclipse.emf.common.util.EList<VSection>` | `getChildItems()` Returns the value of the 'Child Items' containment reference list.
`boolean` | `isCollapsed()` Returns the value of the 'Collapsed' attribute.
`void` | `setCollapsed(boolean value)` Sets the value of the '`Collapsed` ' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VContainer
`getChildren`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getChildItems

    org.eclipse.emf.common.util.EList<VSection> getChildItems()

  Returns the value of the 'Child Items' containment reference list. The list contents are of type `VSection`.

  If the meaning of the 'Child Items' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Items' containment reference list.
  See Also:
    `VSectionPackage.getSection_ChildItems()`

### isCollapsed

    boolean isCollapsed()

  Returns the value of the 'Collapsed' attribute. The default value is `"false"`.

  If the meaning of the 'Collapsed' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collapsed' attribute.
  See Also:
    `setCollapsed(boolean)`, `VSectionPackage.getSection_Collapsed()`

### setCollapsed

    void setCollapsed(boolean value)

  Sets the value of the '`Collapsed` ' attribute.

  Parameters:
    `value` - the new value of the 'Collapsed' attribute.
  See Also:
    `isCollapsed()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.